Overview | Modules | Class Hierarchy | Classes | Members

# PropertyWidgetPlugin Class Reference

`#include <PropertyWidgetPlugin.h>`

List of all members.

## Public Member Functions

- PropertyWidgetPlugin (QObject *parent=0)
- bool isContainer () const
- bool isInitialized () const
- QIcon icon () const
- QString codeTemplate () const
- QString domXml () const
- QString group () const
- QString includeFile () const
- QString name () const
- QString toolTip () const
- QString whatsThis () const
- QWidget * createWidget (QWidget *parent)
- void initialize (QDesignerFormEditorInterface *core)

## Constructor & Destructor Documentation

PropertyWidgetPlugin::PropertyWidgetPlugin | ( | QObject * | parent = `0` | ) |

## Member Function Documentation

QString PropertyWidgetPlugin::codeTemplate | ( |  | ) | const

QWidget* PropertyWidgetPlugin::createWidget | ( | QWidget * | parent | ) |

QString PropertyWidgetPlugin::domXml | ( |  | ) | const

QString PropertyWidgetPlugin::group | ( |  | ) | const

QIcon PropertyWidgetPlugin::icon | ( |  | ) | const

QString PropertyWidgetPlugin::includeFile | ( |  | ) | const

void PropertyWidgetPlugin::initialize | ( | QDesignerFormEditorInterface * | core | ) |

bool PropertyWidgetPlugin::isContainer | ( |  | ) | const

bool PropertyWidgetPlugin::isInitialized | ( |  | ) | const

QString PropertyWidgetPlugin::name | ( |  | ) | const

QString PropertyWidgetPlugin::toolTip | ( |  | ) | const

QString PropertyWidgetPlugin::whatsThis | ( |  | ) | const

Tulip Software by LaBRI Visualization Team 2001 - 2010